#!/usr/bin/env python
# -*- coding: utf-8 -*-
from iobot.exceptions import IOBotDeprecatedFeatureException
from iobot.exceptions import IOBotException
from iobot.exceptions import IOBotModelKeySortException


class SLaterException(IOBotException):
    pass


class SLaterModelKeySortException(IOBotModelKeySortException):
    pass


class SLaterDeprecatedFeatureException(IOBotDeprecatedFeatureException):
    pass


class SLaterClientMissingRequiredParameters(SLaterException):
    pass


class SLaterClientInvalidRequestParameters(SLaterException):
    pass


class SLaterImportEmptyWorkbookError(SLaterException):
    pass


class SLaterImportGeneratedBadZipBundleError(SLaterException):
    pass


class SLaterImportParseError(SLaterException):
    pass


class SLaterNoneTypeSlackUserError(SLaterException):
    pass


class SLaterInvalidSlackAccountTypeError(SLaterException):
    pass


class SLaterUnAuthorizedSlackUserGroupError(SLaterException):
    pass
